Skip to content

Get conversation statistics

GET
/api/workspaces/{workspaceId}/consumption/conversation-stats

Retrieve conversation volume and resolution metrics for a workspace.

workspaceId
required
string format: uuid

The workspace to get stats for.

period
string

Predefined period: current, previous, last_90d (default current).

from
string

Start of custom range in ISO 8601 format (overrides period).

to
string

End of custom range in ISO 8601 format (overrides period).

Conversation statistics for the requested period.

Conversation volume and resolution metrics for a workspace over a billing period.

object
total
required

Total number of conversations in the period.

integer
Example
482
resolved
required

Number of resolved conversations.

integer
Example
439
byResolution
required

Breakdown by resolution type.

object
ai_resolved
required
integer
Example
387
human_resolved
required
integer
Example
52
abandoned
required
integer
Example
28
open
required
integer
Example
15
byChannel
required

Breakdown by channel type.

object
key
additional properties
integer
Example
{
"email": 310,
"chat": 142,
"whatsapp": 30
}
byIntent
required

Breakdown by detected intent.

Array<object>
object
intent
required
string
count
required
integer
periodStart
required

Start of the period.

string format: date-time
Example
2026-03-01T00:00:00.000Z
periodEnd
required

End of the period.

string format: date-time
Example
2026-03-31T23:59:59.999Z